#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int k,n;
    cin>>k>>n;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    vector<int> prefiksne_sume(n+1);
    prefiksne_sume[0]=0;
    for(i=1;i<=n;i++){
        prefiksne_sume[i]=(prefiksne_sume[i-1]+a[i-1])%k;
    }
    sort(prefiksne_sume.begin(),prefiksne_sume.end());
    int bristih;
    i=0;
    long long res=0;
    while(i<=n){
        bristih=1;
        while(i<n && prefiksne_sume[i]==prefiksne_sume[i+1]){
            bristih++;
            i++;
        }
        i++;
        res+=(1ll*bristih*(bristih-1))/2;
    }
    cout<<res<<endl;
    return 0;
}
